const settings=require("../../../config/settings")
const mysql = require('mysql')
const pool = mysql.createPool({
  host     :  '59.110.125.77',
  user     :  'ro',
  password :  'Louis@2020',
  port:'9617',
  database: 'gsb',
})
class DbhbFactory{

  async tempQuery( sql, values ) {
  // 返回一个 Promise
  return new Promise(( resolve, reject ) => {
    pool.getConnection(function(err, connection) {
      if (err) {
        reject( err )
      } else {
        connection.query(sql, values, ( err, rows) => {
          if ( err ) {
            reject( err )
          } else {
            resolve( rows )
          }
          // 结束会话
          connection.release()
        })
      }
    })
  })
}

 //  constructor(){
 //    // const dbConfig=settings.databasebh();
 //    this.db = mysql.createConnection({
 //      host:'59.110.125.77',
 //      user:'ro',
 //      password:'Louis@2020',
 //      port:'9617',
 //      database: 'gsb',
 //    });
 //    console.log(this.db);
 //    this.db.connect(function(err){
 //    if(err){
 //        console.log('mysql连接失败: ${err}!');
 //    }else{
 //        console.log("mysql连接成功!");
 //    }
 //    });
 //  }
 //
 //  getCon(){
 //   return this.db;
 // }

}
module.exports=DbhbFactory;
